﻿using System;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.WinForms;

namespace MapSuiteExample
{
    public partial class Form1 : Form
    {
        ShapeFileFeatureLayer shapeFileLayer;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.Meter;

            WorldStreetsAndImageryOverlay worldOverlay = new WorldStreetsAndImageryOverlay();
            winformsMap1.Overlays.Add(worldOverlay);

            LayerOverlay layerOverlay = new LayerOverlay();

            NativeImageRasterLayer rasterLayer = new NativeImageRasterLayer(@"..\..\AppData\tq70nw.png", @"..\..\AppData\tq70nw.PGW");
            layerOverlay.Layers.Add(rasterLayer);

            shapeFileLayer = new ShapeFileFeatureLayer(@"..\..\AppData\Houses (Polygons).shp");
            shapeFileLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColors.Red, GeoColors.Black, 2);
            shapeFileLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            layerOverlay.Layers.Add("shp", shapeFileLayer);

           
            layerOverlay.Layers.MoveToTop(shapeFileLayer);
            winformsMap1.Overlays.Add("overlay", layerOverlay);

            shapeFileLayer.Open();
            winformsMap1.CurrentExtent = shapeFileLayer.GetBoundingBox();
            shapeFileLayer.Close();
            winformsMap1.Refresh();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            PrintForm f = new PrintForm();
            f.ShpExtent = shapeFileLayer.GetBoundingBox();
            f.Overlay = (LayerOverlay)winformsMap1.Overlays["overlay"];
            f.Show();
        }
    }
}
